queueOfflineOperations
curl --request POST \
--url https://connvo-dev.convex.cloud/api/run/notes/index/queueOfflineOperations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"clientId": "<string>",
"meetingId": "<string>",
"operations": [
{
"attempts": 123,
"authorId": "<string>",
"clientId": "<string>",
"id": "<string>",
"position": 123,
"queuedAt": 123,
"sequence": 123,
"status": "pending",
"timestamp": 123,
"type": "insert",
"content": "<string>",
"error": "<string>",
"lastAttempt": 123,
"length": 123,
"transformedFrom": [
"<string>"
]
}
]
}
}
'import requests
url = "https://connvo-dev.convex.cloud/api/run/notes/index/queueOfflineOperations"
payload = { "args": {
"clientId": "<string>",
"meetingId": "<string>",
"operations": [
{
"attempts": 123,
"authorId": "<string>",
"clientId": "<string>",
"id": "<string>",
"position": 123,
"queuedAt": 123,
"sequence": 123,
"status": "pending",
"timestamp": 123,
"type": "insert",
"content": "<string>",
"error": "<string>",
"lastAttempt": 123,
"length": 123,
"transformedFrom": ["<string>"]
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
args: {
clientId: '<string>',
meetingId: '<string>',
operations: [
{
attempts: 123,
authorId: '<string>',
clientId: '<string>',
id: '<string>',
position: 123,
queuedAt: 123,
sequence: 123,
status: 'pending',
timestamp: 123,
type: 'insert',
content: '<string>',
error: '<string>',
lastAttempt: 123,
length: 123,
transformedFrom: ['<string>']
}
]
}
})
};
fetch('https://connvo-dev.convex.cloud/api/run/notes/index/queueOfflineOperations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorMessage": "<string>",
"errorData": {},
"value": {
"queueId": "<string>",
"queued": 123,
"success": true
}
}{}{}Notes
queueOfflineOperations
Calls a mutation at the path notes/index.js:queueOfflineOperations
POST
/
api
/
run
/
notes
/
index
/
queueOfflineOperations
queueOfflineOperations
Authorizations
Standard user authentication token issued via WorkOS. Provide as Authorization: Bearer <user-token>.
Body
application/json
Show child attributes
Show child attributes
⌘I